


<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>服务区域查询</title>
<style>
*{ font-family:微软雅黑; margin:0; padding:0; list-style:none; color:#444; font-size:14px;}
.page{ padding:20px; margin:0 auto; overflow:hidden;background:url(/wzis/images/sypage3_bg.jpg) no-repeat left top;}
.colname{width:100%; border-bottom:solid 1px #dcdcdc; padding:20px 0; text-align:center; font-size:26px;}
.shuom{overflow:hidden; border-top:solid 1px #dcdcdc;}
.shuom ul{ float:right;}
.shuom ul li{ float:left; line-height:40px; padding-left:20px; margin-left:20px;}
.green{ background:url(images/fwqysearch_01.jpg) left no-repeat; color:#1cc453; font-weight:bold; font-size:16px;}
.blue{ background:url(images/fwqysearch_02.jpg) left no-repeat; color:#3674d9; font-weight:bold; font-size:16px;}
.red{color:red;}
select{width:110px; height:26px; border:solid 1px #dcdcdc; color:#333;}
.level4{ padding:20px 0; text-align:center;}
.level4 a{text-decoration:none; font-size:15px; padding:5px; color:#fff; line-height:30px;}
.level4 a i{color:#fff; font-style:normal; padding:2px 5px;}
.level4 a .bluebg{ background-color:#3674d9}
.level4 a .greenbg{ background-color:#1cc453}
</style>
<script type="text/javascript" src="../../ui/lib/jquery/jquery.min.js"></script>

<script type="text/javascript">
//ie8不支持trim()方法，故自行定义
String.prototype.trim = function() {
  var str = this,
  whitespace = ' \n\r\t\f\x0b\xa0\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u200b\u2028\u2029\u3000';
  for (var i = 0,len = str.length; i < len; i++) {
    if (whitespace.indexOf(str.charAt(i)) === -1) {
      str = str.substring(i);
      break;
    }
  }
  for (i = str.length - 1; i >= 0; i--) {
    if (whitespace.indexOf(str.charAt(i)) === -1) {
      str = str.substring(0, i + 1);
      break;
    }
  }
  return whitespace.indexOf(str.charAt(0)) === -1 ? str : '';
}

$(function() {
	//禁用回车
	$("#dataForm").attr('onkeydown','if(event.keyCode==13)return false;');
});

//提交前校验。因数据量过大，规定必须至少选择到省名和市名，或直接输入了村名，才能进行查询
function beforeSubmit() {
	var provinceName = $("#provinceName").val();
	var cityName = $("#cityName").val();
	var countryName = $("#countryName").val();
	var townName = $("#townName").val();
	var villageName = $("#villageName").val().trim();
	/* if((villageName == null || villageName == "")
		&& (provinceName == "请选择" || cityName == "请选择" || townName == "请选择")) {
		alert("查询条件过于广泛，请设置到乡镇，或直接输入村名查询!");
	} */ 
	
	if((villageName == null || villageName == "" && (provinceName == "请选择"))){
		alert("查询条件过于广泛，请选择省(区、市)，或直接输入村（社区、居）查询!");
	}else if((villageName == null || villageName == "" && (cityName == "请选择"))){
		alert("查询条件过于广泛，请选择地（盟、州、市），或直接输入村（社区、居）查询!");
	}else if((villageName == null || villageName == "" && (countryName == "请选择"))){
		alert("查询条件过于广泛，请选择县（旗、市、区），或直接输入村（社区、居）查询!");
	}else if((villageName == null || villageName == "" && (townName == "请选择"))){
		alert("查询条件过于广泛，请选择乡（镇、街道），或直接输入村（社区、居）查询!");
	}else {
		submitData();
	}
}

function submitData() {
	
	$.ajax({
		type:"POST",
		url:"./queryAreaList.do",
	 	data: {provinceName : $("#provinceName").val(), 
			   cityName : $("#cityName").val(),
			   countryName : $("#countryName").val(),
			   townName : $("#townName").val(), 
			   villageName : $("#villageName").val(),
			   isService : $("#isService").val()},
			  success:function(data){  
		       window.location.href= "./queryAreaList.do?provinceName="+encodeURI($("#provinceName").val(),"utf-8")
					+ "&cityName=" +encodeURI($("#cityName").val(),"utf-8") 
					+ "&countryName=" + encodeURI($("#countryName").val(),"utf-8")
				    + "&townName=" + encodeURI($("#townName").val(),"utf-8") 
					+ "&villageName=" + encodeURI($("#villageName").val(),"utf-8")
					+ "&isService=" + encodeURI($("#isService").val(),"utf-8") + "&ifShow=1" ;
		       
	 }} );
}

//根据省名改变市名列表
function changeCityNameList() {
	$.ajax({
		type : "POST",
		url : "changeCityNameList.do",
		dataType : 'json',
		data : {provinceName : $("#provinceName").val()},
		success : function(jsonData) {
			var str = jsonData.message;
			//将获得的message转化成对象数组
			var arr = str.split(",");
			//删除原option
			$("#cityName").empty();
			//添加新option
			for(var i=0;i<arr.length;i++){
				$("#cityName").append("<option value='" + arr[i] + "'>" + arr[i] + "</option>");   //为Select追加一个Option(下拉项)
			}
		}
	});
}

//根据省名和市名改变县名列表
function changeCountryNameList() {
	$.ajax({
		type : "POST",
		url : "changeCountryNameList.do",
		dataType : 'json',
		data : {provinceName : $("#provinceName").val() , cityName : $("#cityName").val() },
		success : function(jsonData) {
			var str = jsonData.message;
			//将获得的message转化成对象数组
			var arr = str.split(",");
			//删除原option
			$("#countryName").empty();
			//添加新option
			for(var i=0;i<arr.length;i++){
				$("#countryName").append("<option value='" + arr[i] + "'>" + arr[i] + "</option>");   //为Select追加一个Option(下拉项)
			}
		}
	});
}

//根据省名和市名县名改变乡名列表
function changeTownNameList() {
	$.ajax({
		type : "POST",
		url : "changeTownNameList.do",
		dataType : 'json',
		data : {provinceName : $("#provinceName").val() , cityName : $("#cityName").val() , countryName : $("#countryName").val() },
		success : function(jsonData) {
			var str = jsonData.message;
			//将获得的message转化成对象数组
			var arr = str.split(",");
			//删除原option
			$("#townName").empty();
			//添加新option
			for(var i=0;i<arr.length;i++){
				$("#townName").append("<option value='" + arr[i] + "'>" + arr[i] + "</option>");   //为Select追加一个Option(下拉项)
			}
		}
	});
}

//重置所有查询条件
function rewrite() {
	//省名
	$("#provinceName").val("请选择"); 
	
	//市名
	$("#cityName").empty();
	$("#cityName").append("<option value='" + "请选择" + "'>" + "请选择" + "</option>"); 
	$("#cityName").val("请选择");
	
	//县名
	$("#countryName").empty();
	$("#countryName").append("<option value='" + "请选择" + "'>" + "请选择" + "</option>"); 
	$("#countryName").val("请选择"); 
	
	//乡名，预留
	$("#townName").empty();
	$("#townName").append("<option value='" + "请选择" + "'>" + "请选择" + "</option>"); 
	$("#townName").val("请选择");
	
	//村名
	$("#villageName").val("");
	
	//是否属于服务区
	$("#isService").val("请选择"); 
}
</script>
</head>
<body>
<div class="page">
	<div class="colname">直播卫星服务区域查询</div>
    <br/>
  <table align="center" border="0" cellspacing="0" cellpadding="0" style="margin:0 auto;">
      <tr valign="middle">
        <div id="line1" style="margin:0 auto; text-align:center; padding:10px 0;">
					<td height="40">省(区、市)：</td>
					<td>
					<select id="provinceName" name="provinceName" onchange="changeCityNameList();" >
						
							<option value="请选择" >
								请选择
							</option>
						
							<option value="北京市" >
								北京市
							</option>
						
							<option value="天津市" >
								天津市
							</option>
						
							<option value="河北省" >
								河北省
							</option>
						
							<option value="山西省" >
								山西省
							</option>
						
							<option value="内蒙古自治区" >
								内蒙古自治区
							</option>
						
							<option value="辽宁省" >
								辽宁省
							</option>
						
							<option value="吉林省" >
								吉林省
							</option>
						
							<option value="黑龙江省" >
								黑龙江省
							</option>
						
							<option value="上海市" >
								上海市
							</option>
						
							<option value="江苏省" >
								江苏省
							</option>
						
							<option value="浙江省" >
								浙江省
							</option>
						
							<option value="安徽省" >
								安徽省
							</option>
						
							<option value="福建省" >
								福建省
							</option>
						
							<option value="江西省" >
								江西省
							</option>
						
							<option value="山东省" >
								山东省
							</option>
						
							<option value="河南省" >
								河南省
							</option>
						
							<option value="湖北省" >
								湖北省
							</option>
						
							<option value="湖南省" >
								湖南省
							</option>
						
							<option value="广东省" >
								广东省
							</option>
						
							<option value="广西壮族自治区" >
								广西壮族自治区
							</option>
						
							<option value="海南省" >
								海南省
							</option>
						
							<option value="重庆市" >
								重庆市
							</option>
						
							<option value="四川省" >
								四川省
							</option>
						
							<option value="贵州省" >
								贵州省
							</option>
						
							<option value="云南省" >
								云南省
							</option>
						
							<option value="西藏自治区" >
								西藏自治区
							</option>
						
							<option value="陕西省" >
								陕西省
							</option>
						
							<option value="甘肃省" >
								甘肃省
							</option>
						
							<option value="青海省" >
								青海省
							</option>
						
							<option value="宁夏回族自治区" >
								宁夏回族自治区
							</option>
						
							<option value="新疆维吾尔自治区" >
								新疆维吾尔自治区
							</option>
						
					</select>
					</td>
					<td>&nbsp;&nbsp;地（盟、州、市）：</td>
					<td>
					<select id="cityName" name="cityName" onchange="changeCountryNameList()" >
						
							<option value="请选择" >
								请选择
							</option>
						
					</select>
					</td>
					<td>&nbsp;&nbsp;县（旗、市、区）：</td>
					<td>
					<select id="countryName" name="countryName" onchange="changeTownNameList()" >
						
							<option value="请选择" >
								请选择
							</option>
						
					</select>
					</td>
					<td><!-- 对接方暂未提供数据，无法实现乡级别的联动。预留 -->&nbsp;&nbsp;乡（镇、街道）：</td>
					<td>
					<select id="townName" name="townName"  >
						
							<option value="请选择" >
								请选择
							</option>
						
					</select> 
					</td>
				</div>
      </tr>
    </table>
  <table style="margin:0 auto;" border="0" cellspacing="0" cellpadding="0">
    <tr valign="middle">
      <td width="" height="40" align="right">按村（社区、居）查询：</td>
      <td width="320"><input id="villageName" name="villageName" value="" style="width:310px; height:28px; border:solid 1px #dcdcdc; color:#333;" /></td>
      <td width="210" align="right">按是否属于服务区域查询：</td>
      <td width="200">
      <select id="isService" name="isService" >
		
				<option value="请选择" >
								请选择
							</option>
						
				<option value="开通服务" >
								开通服务
							</option>
						
				<option value="未开通服务" >
								未开通服务
							</option>
						
					</select></td>
    </tr>
  </table>
  <table width="800" border="0" cellspacing="0" cellpadding="0" style="margin:0 auto;">
    <tr valign="middle">
      <td width="380" height="50" align="right"><input type="button" value="查询" onclick="beforeSubmit()" style="width:100px; height:30px; line-height:30px; background-color:#e33e45; color:#fff; border:none;" /></td>
      <td width="40"></td>
      <td width="380" align="left"><input type="button" value="重置" onclick="rewrite()" style="width:100px; height:30px; line-height:30px; background-color:#f39801; color:#fff; border:none;" /></td>
    </tr>
  </table>
  <br/>
	<!-- 遍历输出查询到的村庄信息 -->
		<!-- <input id="resultNumber" value="1000"> -->
		<div style="text-align:center">
		
		</div>
</div>




</body>
</html>